/* fonts */
/* niramit-200 - latin */
@font-face {
    font-display: swap;
    /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Niramit';
    font-style: normal;
    font-weight: 200;
    src: url('../../fonts/niramit-v10-latin-200.eot');
    /* IE9 Compat Modes */
    src: url('../../fonts/niramit-v10-latin-200.eot?#iefix') format('embedded-opentype'),
        /* IE6-IE8 */
        url('../../fonts/niramit-v10-latin-200.woff2') format('woff2'),
        /* Super Modern Browsers */
        url('../../fonts/niramit-v10-latin-200.woff') format('woff'),
        /* Modern Browsers */
        url('../../fonts/niramit-v10-latin-200.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../../fonts/niramit-v10-latin-200.svg#Niramit') format('svg');
    /* Legacy iOS */
}

/* niramit-200italic - latin */
@font-face {
    font-display: swap;
    /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Niramit';
    font-style: italic;
    font-weight: 200;
    src: url('../../fonts/niramit-v10-latin-200italic.eot');
    /* IE9 Compat Modes */
    src: url('../../fonts/niramit-v10-latin-200italic.eot?#iefix') format('embedded-opentype'),
        /* IE6-IE8 */
        url('../../fonts/niramit-v10-latin-200italic.woff2') format('woff2'),
        /* Super Modern Browsers */
        url('../../fonts/niramit-v10-latin-200italic.woff') format('woff'),
        /* Modern Browsers */
        url('../../fonts/niramit-v10-latin-200italic.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../../fonts/niramit-v10-latin-200italic.svg#Niramit') format('svg');
    /* Legacy iOS */
}

/* niramit-300 - latin */
@font-face {
    font-display: swap;
    /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Niramit';
    font-style: normal;
    font-weight: 300;
    src: url('../../fonts/niramit-v10-latin-300.eot');
    /* IE9 Compat Modes */
    src: url('../../fonts/niramit-v10-latin-300.eot?#iefix') format('embedded-opentype'),
        /* IE6-IE8 */
        url('../../fonts/niramit-v10-latin-300.woff2') format('woff2'),
        /* Super Modern Browsers */
        url('../../fonts/niramit-v10-latin-300.woff') format('woff'),
        /* Modern Browsers */
        url('../../fonts/niramit-v10-latin-300.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../../fonts/niramit-v10-latin-300.svg#Niramit') format('svg');
    /* Legacy iOS */
}

/* niramit-300italic - latin */
@font-face {
    font-display: swap;
    /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Niramit';
    font-style: italic;
    font-weight: 300;
    src: url('../../fonts/niramit-v10-latin-300italic.eot');
    /* IE9 Compat Modes */
    src: url('../../fonts/niramit-v10-latin-300italic.eot?#iefix') format('embedded-opentype'),
        /* IE6-IE8 */
        url('../../fonts/niramit-v10-latin-300italic.woff2') format('woff2'),
        /* Super Modern Browsers */
        url('../../fonts/niramit-v10-latin-300italic.woff') format('woff'),
        /* Modern Browsers */
        url('../../fonts/niramit-v10-latin-300italic.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../../fonts/niramit-v10-latin-300italic.svg#Niramit') format('svg');
    /* Legacy iOS */
}

/* niramit-regular - latin */
@font-face {
    font-display: swap;
    /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Niramit';
    font-style: normal;
    font-weight: 400;
    src: url('../../fonts/niramit-v10-latin-regular.eot');
    /* IE9 Compat Modes */
    src: url('../../fonts/niramit-v10-latin-regular.eot?#iefix') format('embedded-opentype'),
        /* IE6-IE8 */
        url('../../fonts/niramit-v10-latin-regular.woff2') format('woff2'),
        /* Super Modern Browsers */
        url('../../fonts/niramit-v10-latin-regular.woff') format('woff'),
        /* Modern Browsers */
        url('../../fonts/niramit-v10-latin-regular.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../../fonts/niramit-v10-latin-regular.svg#Niramit') format('svg');
    /* Legacy iOS */
}

/* niramit-italic - latin */
@font-face {
    font-display: swap;
    /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Niramit';
    font-style: italic;
    font-weight: 400;
    src: url('../../fonts/niramit-v10-latin-italic.eot');
    /* IE9 Compat Modes */
    src: url('../../fonts/niramit-v10-latin-italic.eot?#iefix') format('embedded-opentype'),
        /* IE6-IE8 */
        url('../../fonts/niramit-v10-latin-italic.woff2') format('woff2'),
        /* Super Modern Browsers */
        url('../../fonts/niramit-v10-latin-italic.woff') format('woff'),
        /* Modern Browsers */
        url('../../fonts/niramit-v10-latin-italic.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../../fonts/niramit-v10-latin-italic.svg#Niramit') format('svg');
    /* Legacy iOS */
}

/* niramit-500 - latin */
@font-face {
    font-display: swap;
    /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Niramit';
    font-style: normal;
    font-weight: 500;
    src: url('../../fonts/niramit-v10-latin-500.eot');
    /* IE9 Compat Modes */
    src: url('../../fonts/niramit-v10-latin-500.eot?#iefix') format('embedded-opentype'),
        /* IE6-IE8 */
        url('../../fonts/niramit-v10-latin-500.woff2') format('woff2'),
        /* Super Modern Browsers */
        url('../../fonts/niramit-v10-latin-500.woff') format('woff'),
        /* Modern Browsers */
        url('../../fonts/niramit-v10-latin-500.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../../fonts/niramit-v10-latin-500.svg#Niramit') format('svg');
    /* Legacy iOS */
}

/* niramit-500italic - latin */
@font-face {
    font-display: swap;
    /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Niramit';
    font-style: italic;
    font-weight: 500;
    src: url('../../fonts/niramit-v10-latin-500italic.eot');
    /* IE9 Compat Modes */
    src: url('../../fonts/niramit-v10-latin-500italic.eot?#iefix') format('embedded-opentype'),
        /* IE6-IE8 */
        url('../../fonts/niramit-v10-latin-500italic.woff2') format('woff2'),
        /* Super Modern Browsers */
        url('../../fonts/niramit-v10-latin-500italic.woff') format('woff'),
        /* Modern Browsers */
        url('../../fonts/niramit-v10-latin-500italic.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../../fonts/niramit-v10-latin-500italic.svg#Niramit') format('svg');
    /* Legacy iOS */
}

/* niramit-600 - latin */
@font-face {
    font-display: swap;
    /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Niramit';
    font-style: normal;
    font-weight: 600;
    src: url('../../fonts/niramit-v10-latin-600.eot');
    /* IE9 Compat Modes */
    src: url('../../fonts/niramit-v10-latin-600.eot?#iefix') format('embedded-opentype'),
        /* IE6-IE8 */
        url('../../fonts/niramit-v10-latin-600.woff2') format('woff2'),
        /* Super Modern Browsers */
        url('../../fonts/niramit-v10-latin-600.woff') format('woff'),
        /* Modern Browsers */
        url('../../fonts/niramit-v10-latin-600.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../../fonts/niramit-v10-latin-600.svg#Niramit') format('svg');
    /* Legacy iOS */
}

/* niramit-600italic - latin */
@font-face {
    font-display: swap;
    /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Niramit';
    font-style: italic;
    font-weight: 600;
    src: url('../../fonts/niramit-v10-latin-600italic.eot');
    /* IE9 Compat Modes */
    src: url('../../fonts/niramit-v10-latin-600italic.eot?#iefix') format('embedded-opentype'),
        /* IE6-IE8 */
        url('../../fonts/niramit-v10-latin-600italic.woff2') format('woff2'),
        /* Super Modern Browsers */
        url('../../fonts/niramit-v10-latin-600italic.woff') format('woff'),
        /* Modern Browsers */
        url('../../fonts/niramit-v10-latin-600italic.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../../fonts/niramit-v10-latin-600italic.svg#Niramit') format('svg');
    /* Legacy iOS */
}

/* niramit-700 - latin */
@font-face {
    font-display: swap;
    /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Niramit';
    font-style: normal;
    font-weight: 700;
    src: url('../../fonts/niramit-v10-latin-700.eot');
    /* IE9 Compat Modes */
    src: url('../../fonts/niramit-v10-latin-700.eot?#iefix') format('embedded-opentype'),
        /* IE6-IE8 */
        url('../../fonts/niramit-v10-latin-700.woff2') format('woff2'),
        /* Super Modern Browsers */
        url('../../fonts/niramit-v10-latin-700.woff') format('woff'),
        /* Modern Browsers */
        url('../../fonts/niramit-v10-latin-700.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../../fonts/niramit-v10-latin-700.svg#Niramit') format('svg');
    /* Legacy iOS */
}

/* niramit-700italic - latin */
@font-face {
    font-display: swap;
    /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Niramit';
    font-style: italic;
    font-weight: 700;
    src: url('../../fonts/niramit-v10-latin-700italic.eot');
    /* IE9 Compat Modes */
    src: url('../../fonts/niramit-v10-latin-700italic.eot?#iefix') format('embedded-opentype'),
        /* IE6-IE8 */
        url('../../fonts/niramit-v10-latin-700italic.woff2') format('woff2'),
        /* Super Modern Browsers */
        url('../../fonts/niramit-v10-latin-700italic.woff') format('woff'),
        /* Modern Browsers */
        url('../../fonts/niramit-v10-latin-700italic.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../../fonts/niramit-v10-latin-700italic.svg#Niramit') format('svg');
    /* Legacy iOS */
}

/* colors */
:root {
    --primary-background-color: #fff;
    --primary-text-color: #333;
    --secondary-text-color: #777;
}


* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Niramit', sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 1em;
    line-height: 1.6;
    background-color: var(--primary-background-color);
    color: var(--primary-text-color);
}

.grid-container {
    display: grid;
    grid-template-areas:
        'nav-bar'
        'main-content'
        'right-column';
    grid-template-columns: 1fr;
    grid-template-rows: auto auto auto;
    gap: 1rem;
}

.nav-bar {
    grid-area: nav-bar;
    background: #333;
    color: #fff;
    padding: 1rem;
    transition: background 0.3s ease-in-out;
}

/* Define the properties of nav-bar items */
.nav-bar a {
    color: #fff;
    text-decoration: none;
    padding: 0.5rem;
}

.nav-bar a:hover {
    background-color: #fff;
    color: #333;
}

.main-content {
    grid-area: main-content;
    padding: 3rem;
}

/* Define the content properties of the main content area */

.main-content p {
    padding: 1rem;
}

.right-column {
    grid-area: right-column;
}

/* Responsive layout */
@media screen and (min-width: 768px) {
    .grid-container {
        grid-template-areas:
            'nav-bar nav-bar nav-bar nav-bar'
            '. main-content right-column .';
        grid-template-columns: 0.3fr minmax(auto, 700px) 0.7fr 0.3fr;
        grid-gap: 5rem;
        grid-template-rows: auto auto;
    }
}